.Na "DBMORECMDS" 
.Aa
.Fu
Indicate whether there are more commands to be processed.
.Ih "results, determining whether there are more"
.Ih "commands, determining whether there are more"
.Sy
.Sf "RETCODE DBMORECMDS(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
The application can use this
macro to determine whether there are more results to
process.
.Bl
\f2DBMORECMDS()\f1 can be called after
.I "dbnextrow()"
returns NO_MORE_ROWS.
If you know that the current command is returning no rows,
you can call
.I "DBMORECMDS()"
immediately after
.I "dbresults()."
.Bl
Applications rarely need this routine,
because they can simply call
.I "dbresults()"
until it returns NO_MORE_RESULTS.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.in -.375i
.Re
.br
SUCCEED or FAIL, indicating whether there are more results from the command batch.
.Sa
DBCMDROW,
dbresults,
DBROWS,
DBROWTYPE
