.Na "dbprhead" 
.Aa
.Fu
Print the column headings for rows returned from \*S.
.Ih "results row column headings, printing"
.Ih "row column headings, printing"
.Ih "column headings, printing"
.Ih debugging
.Sy
.Sf "extern int DbColwidth;"
.Sf "void dbprhead(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine displays, on the default output device and in a default format,
the column headings
for a set of query results.
The format is compatible with the format used by
.I dbprrow().
.Bl
The application can call
\f2dbprhead()\f1 once
.I "dbresults()"
returns SUCCEED.
.Bl
This routine is useful for debugging.
.Bl
\f3Note for Macintosh programmers:\f1  Because \f2dbprhead()\f1 calls \f2printf()\f1,
it is valid only in an MPW Tool.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi DbColwidth
A global variable that
.I dbprhead()
uses to calculate the width of each output line.  It is initialized to 80
by \*L.
.in -.375i
.Re
None.
.Sa
dbbind,
dbnextrow,
dbprrow,
dbresults
