.Na "dbprrow" 
.Aa
.Fu
Print all the rows returned from \*S.
.Ih "results rows, printing"
.Ih "rows, printing"
.Ih "columns, printing"
.Ih debugging
.Sy
.Sf "extern int DbColwidth;"
.Sf "RETCODE dbprrow(dbproc)"
.Sp "DBPROCESS" "*dbproc"
.Co
.Bl
This routine displays, on the default output device and in a default format, the rows 
for a set of query results.
This routine reads and prints all the rows.
It saves the trouble
of calling routines such as \f2dbbind()\f1 and \f2dbnextrow()\f1,
but it prints only in a single, predetermined format.
.Bl
The application can call
\f2dbprrow()\f1 once
.I "dbresults()"
returns SUCCEED.
.Bl
When using this routine, you do not need to call \f2dbnextrow()\f1 to loop through
the rows.
.Bl
\f2dbprrow()\f1 is useful primarily for debugging.
.Bl
\f3Note for Macintosh programmers:\f1  Because \f2dbprrow()\f1 calls \f2printf()\f1,
it is valid only in an MPW Tool.
.Bz
.Pa
.Pi dbproc
A pointer to the DBPROCESS structure that provides the connection
for a particular front-end/\*S process.  It contains all the
information that \*L uses to manage communications and data between the
front end and \*S.
.Pi DbColwidth
A global variable that
.I dbprrow()
uses to calculate the width of each output line.  It is initialized to 80
by \*L.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dbbind,
dbnextrow,
dbprhead,
dbresults
