.Na "DBSETLHOST" 
.Aa
.Fu
Set the host name in the LOGINREC structure.
.Ih "LOGINREC, setting the host name in"
.Ih "host name, setting"
.Sy
.Sf "RETCODE DBSETLHOST(loginrec, hostname)"
.Sp "LOGINREC" "*loginrec"
.Sp "char" "*hostname"
.Co
.Bl
This macro sets the host name in the 
LOGINREC
structure.  
For it to have any effect, it must be called before
.I "dbopen()."
.Bl
The host name will show up in the 
.I sysprocesses
table in the
.I master
database.
.Bl
It is not necessary to call this routine.
If it is not called,
\*L will set the default value for 
the host name.
This default value will generally be a
version of the host machine's name provided by the operating system.
.Bl
\f3Note for Macintosh programmers:\f1  By default, the host name
is set to the \f2username\f1 field in the \f2Chooser\f1 Desk Accessory.
.Bz
.Pa
.Pi loginrec
A pointer to a LOGINREC structure, which will be passed as
an argument to 
.I "dbopen()."
You can get one by calling
.I "dblogin()."
.Pi hostname
The host name that will be sent to \*S.  
It must be a null-terminated character string.
The maximum length of the string, not including the null terminator,
is 30 characters.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dblogin,
dbopen,
DBSETLAPP,
DBSETLPWD,
DBSETLUSER
