.Na "dbsetlogintime" 
.Aa
.Fu
Set the number of seconds that \*L waits for a 
\*S response to a request for a DBPROCESS connection.
.Ih "time \*L waits for a DBPROCESS connection, setting"
.Sy
.Sf "RETCODE dbsetlogintime(seconds)"
.Sp "int" "seconds"
.Co
.Bl
This routine sets the length of time in seconds that \*L
will wait for a login response after calling
\f2dbopen()\f1.
The default timeout value is 60 seconds.
.Bz
.Pa
.Pi seconds
The timeout value\(emthe
number of seconds that \*L waits for a login response
before timing out.
A timeout value of 0 represents an infinite timeout period.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
dberrhandle,
dbsettime
