.Na "commit_xact" 
.Aa
.Fu
Mark a distributed transaction as being committed.
.Ih "distributed transaction, mark as committed"
.Sy
.Sf "RETCODE commit_xact(connect, commid)
.Sp "DBPROCESS" "*connect"
.Sp "DBINT" "commid"
.Co
.Bl
This routine informs the commit service that the status of a distributed 
transaction should be changed from ``begin'' to ``commit.''
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi commid
The \f2commid\fP used to identify the transaction to the commit service.
.in -.375i
.Re
.br
SUCCEED or FAIL.
If \f2commit_xact()\f1 fails, you \f2must\f1 roll back the transaction.
.Sa
abort_xact,
remove_xact,
scan_xact,
start_xact,
stat_xact
