.Na "dbsetifile" 
.Aa
.Fu
Specify the name and location of the SYBASE \f2interfaces\f1 file.
.Ih "interfaces file, specifying name and location of"
.Sy
.Sf "void dbsetifile(filename)"
.Sp "char" "*filename"
.Co
.Bl
This routine lets the application specify the name and location of the
\f2interfaces\f1 file that will be searched during every subsequent call to \f2dbopen()\fP.
The \f2interfaces\f1 file contains the name and network address of every \*S available on the network.
.Bl
If \f2dbsetifile()\fP has not been called, a call to \f2dbopen()\f1 will
initiate the following default behavior:  \*L will first attempt to use a
file named ``interfaces'' in the directory named by the SYBASE environment variable or
logical name.
.Ih "SYBASE environment variable"
.Ih "SYBASE logical name"
If SYBASE has not been set,
\*L will attempt to use a file called ``interfaces'' in the home
directory of the user named ``sybase''.
.Bl
\f3Note for OS/2, MS-DOS, and Macintosh programmers:\f1
A call to \f2dbsetconnect()\f1 supersedes the \f2interfaces\f1 file entirely.
It provides \f2dbopen()\f1 with the information it would otherwise need to
obtain from the \f2interfaces\f1 file.
If \f2dbsetconnect()\f1 has been called, \f2dbopen()\f1 never
looks for an \f2interfaces\f1 file, but instead uses the information provided by
\f2dbsetconnect()\f1.
.Bl
For more information on the \f2interfaces\f1 file, see the \f2SYBASE Installation
Guide\f1.
.Bz
.Pa
.Pi filename
The name of the \f2interfaces\f1 file that gets
searched during every subsequent call to
\f2dbopen()\fP. If this parameter is NULL, 
\*L will revert to its default \f2interfaces\f1
filename (see above).
.in -.375i
.Re
.br
None.
.Sa
dbopen,
dbsetconnect
