.Na "close_commit" 
.Aa
.Fu
End a connection with the commit service.
.Ih "commit service, ending connection to"
.Sy
.Sf "void close_commit(connect)
.Sp "DBPROCESS" "*connect"
.Co
.Bl
This routine calls \f2dbclose()\fP to end a connection 
with the commit service. 
A call to \f2close_commit()\fP should be made when the application
is through with the commit service, in order to free resources. 
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS structure that was originally returned 
by \f2open_commit()\fP.
.in -.375i
.Re
.br
None.
.Sa
dbclose
