.Na "scan_xact" 
.Aa
.Fu
Print commit service record for distributed transactions.
.Ih "distributed transaction, printing commit service record for"
.Sy
.Sf "RETCODE scan_xact(connect, commid)
.Sp "DBPROCESS" "*connect"
.Sp "DBINT" "commid"
.Co
.Bl
This routine displays the commit service record for a specific
distributed transaction, or for all distributed transactions
known to the commit service.
.Bz
.Pa
.Pi connect
A pointer to the DBPROCESS used to communicate with the commit service.
.Pi commid
The \f2commid\fP used to identify the transaction to the commit service.
If \f2commid\fP is -1, all commit service records are displayed.
.in -.375i
.Re
.br
SUCCEED or FAIL.
.Sa
abort_xact,
commit_xact,
remove_xact,
start_xact,
stat_xact
